---
# default values for prod.k3s
kube_context: home

fstab:
  gluster:
    #state can be present, mounted, absent, unmounted, remounted
    - name: plex
      path: "/opt/data/plex"
      state: mounted
    - name: plex-data
      path: "/opt/data/plex-data"
      state: mounted
#    - name: jenkins
#      path: "/var/lib/jenkins"
#      state: mounted
    - name: gitea
      path: "/opt/data/gitea"
      state: mounted
    - name: vmshares
      path: "/opt/data/shared"
      state: mounted
    - name: mariadb
      path: "/opt/data/db"
      state: mounted
    - name: secure
      path: "/opt/data/secure"
      state: mounted

helm:
  repos:
    - name: twuni
      repo_url: https://helm.twun.io
    - name: jetstack
      repo_url: https://charts.jetstack.io
    - name: gitea-charts
      repo_url: https://dl.gitea.io/charts/
    - name: bitnami
      repo_url: https://charts.bitnami.com/bitnami
    - name: cetic
      repo_url: https://cetic.github.io/helm-charts

apps:
  cert_manager:
    enabled: true

  stash:
    enabled: true
    state: present
    namespace: stashapp

  mariadb:
    enabled: true
    namespace: mariadb
    pvc: data-mariadb-0
    state: present
    secrets:
      password: faj48290q2u58vy8qphqtqj
      root_password: q4890qhhfgq9pfg3q4uyg33
      replication_password: 4q389hq7gf8qo47gq8374g

  postgres:
    enabled: true
    namespace: postgres
    pvc: data-postgres-0
    state: present
    secrets:
      password: faj48290q2u58vy8qphqtqj
      postgres_password: q4890qhhfgq9pfg3q4uyg33
      replication_password: 4q389hq7gf8qo47gq8374g

  gitea:
    enabled: true
    namespace: gitea
    state: present

  dkregistry:
    enabled: true
    namespace: default
    pvc: data-dkregistry-0
    image: registry:2.8.3
    state: present

  nextcloud:
    enabled: true
    namespace: nextcloud
    state: present
    chart_version: 4.5 # https://github.com/nextcloud/helm/releases?page=2

  hello_world:
    enabled: false
    namespace: default
    state: absent

  funkwhale:
    enabled: false
    namespace: funkwhale
    state: present

  redis:
    enabled: true
    namespace: redis
    state: present

  abcmusic:
    enabled: false
    namespace: abcmusic
    state: present
    image:

  backstage:
    enabled: false
    namespace: backstage
    state: present
